import { defineStore } from 'pinia'
import config from '@/config'

export const useZoneEditorStore = defineStore('zoneEditor', {
  state: () => ({
    active: true
  }),
  getters: {
    isActive: (state) => state.active
  },
  actions: {
    toggleActive() {
      this.active = !this.active
    }
  }
})

/**
 * [[0,0,0,0,0,0,0,0,0,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,1,1,1,1,1,1,1,1,0],[0,0,0,0,0,0,0,0,0,0]]
 */
